
            function imageZoom(imgID, resultID, imgDataId) {
                 var img, lens, result, cx, cy;
                img = document.getElementById(imgID);
                result = document.getElementById(resultID);
                /*create lens:*/
                lens = document.getElementsByClassName("img-zoom-lens")[0];//use lens if already exist
                if (!lens) {
                    lens = document.createElement("DIV");//if lens already not exist create.
                    lens.setAttribute("class", "img-zoom-lens");
                    /*insert lens:*/
                    img.parentElement.insertBefore(lens, img);
                }
                lens.onclick = function () {
                    imgeFullViewFunction(img.src, imgDataId);
                }

                /*calculate the ratio between result DIV and lens:*/
                cx = result.offsetWidth / lens.offsetWidth;
                cy = result.offsetHeight / lens.offsetHeight;
                /*set background properties for the result DIV:*/
                result.style.backgroundImage = "url('" + img.src + "')";
                result.style.backgroundSize = (img.width * cx) + "px " + (img.height * cy) + "px";
                // console.log(result.offsetWidth + "," + lens.offsetWidth);
                /*execute a function when someone moves the cursor over the image, or the lens:*/
                lens.addEventListener("mousemove", moveLens);
                img.addEventListener("mousemove", moveLens);
                /*and also for touch screens:*/
                lens.addEventListener("touchmove", moveLens);
                img.addEventListener("touchmove", moveLens);

                function moveLens(e) {
                    var pos, x, y;
                    /*prevent any other actions that may occur when moving over the image:*/
                    e.preventDefault();
                    /*get the cursor's x and y positions:*/
                    pos = getCursorPos(e);
                    /*calculate the position of the lens:*/
                    x = pos.x - (lens.offsetWidth / 2);
                    y = pos.y - (lens.offsetHeight / 2);

                    /*prevent the lens from being positioned outside the image:*/
                    if (x > img.width - lens.offsetWidth) {
                        x = img.width - lens.offsetWidth;

                    }
                    if (x < 0) {
                        x = 0;
                    }
                    if (y > img.height - lens.offsetHeight) {
                        y = img.height - lens.offsetHeight;

                    }
                    if (y < 0) {
                        y = 0;
                    }
                    /*set the position of the lens:*/
                    lens.style.left = x + 16 + "px";
                    lens.style.top = y + 43.4 + "px";
                    /*display what the lens "sees":*/

                    result.style.backgroundPosition = "-" + (x * cx) + "px -" + (y * cy) + "px";
                }

                function getCursorPos(e) {
                    var a, x = 0,
                        y = 0;
                    e = e || window.event;
                    /*get the x and y positions of the image:*/
                    a = img.getBoundingClientRect();
                    /*calculate the cursor's x and y coordinates, relative to the image:*/
                    x = e.pageX - a.left;
                    y = e.pageY - a.top;
                    /*consider any page scrolling:*/
                    x = x - window.pageXOffset;
                    y = y - window.pageYOffset;
                    return {
                        x: x,
                        y: y
                    };
                }
            }

//full view image id='actualBillAmount_"+unique_Id+"'
    function imgeFullViewFunction(imgSRC, imgDataId) {
                // var imgDataId = $(this).attr("data-id");
                // var imgSRC = $(this).attr("src");
                
                $("#fullImageId").attr("src", imgSRC);
                $("#myImageModal").css("display", "block");
                $("#myImageModal img").css("transform", "rotate(0deg)");
                var billTitleValue = $("#billTitle_" + imgDataId).html();
                var billAmountValue = "<b>Amount :</b> " + $("#actualBillAmount_" + imgDataId).html();
                $("#fullImageBillTitle").html(billTitleValue);
                $("#fullImageBillAmount").html(billAmountValue);
            }


// ;;